VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataUtilisateur"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idUtilisateur As Integer
Public Nom As String
Public Prenom As String
Public Demandeur As String
Public Mox As String

Private rec As Recordset
Private strRequete As String
Public Sub ChargeUtilisateur()
    
    If QShema.Utilisateurs.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Utilisateur", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idUtilisateur = .Fields("idUtilisateur")
                Me.Nom = .Fields("Nom")
                Me.Prenom = .Fields("Prenom")
                Me.Demandeur = .Fields("Demandeur")
                Me.Mox = .Fields("Mox")
                
                QShema.Utilisateurs.Add Me, "*" & Me.idUtilisateur
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
